<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:pe="http://primefaces.org/ui/extensions"
	xmlns:pc="http://java.sun.com/jsf/composite/custom_component"
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:security="http://www.springframework.org/security/tags"
	template="/WEB-INF/template.xhtml">

	<ui:define name="titre"> - Accueil</ui:define>

	<ui:define name="subheader">

	</ui:define>


	<ui:define name="content">



		<h:form id="form_index">

			<p:fieldset id="fieldset_accueil" legend="Accueil"
				style="margin-bottom:20px" styleClass="fieldSetGlobal">

				<div class="Fright">
					<h:outputText styleClass="Fs12 Gray" value="#{messages['version']}" />
				</div>

				<h:panelGrid columns="2" cellpadding="10">

					<h:outputText styleClass="Fs22 Gray"
						value="Bienvenue dans l'application Edensia" />
				</h:panelGrid>
			</p:fieldset>

			<!-- 			<p:fieldset> -->
			<!-- 				<h:outputText styleClass="Fs22 Gray" value="Prochains Tournois" /> -->
			<!-- 			</p:fieldset> -->

		</h:form>

		<div class="Container100">
			<div class="ContainerIndent">
				<div class="Card ShadowEffect TexAlCenter">

					<p:panel id="panel_acceuil" style="text-align;" header="Recettes">
						<br />
						<p:dataTable id="table_recettes" var="recette"
							value="#{beanIndex.listeRecette}" emptyMessage="Aucune recettes"
							rows="30" selection="#{beanIndex.selectedRecette}"
							selectionMode="single" rowKey="#{recette.id}">

							<p:ajax event="rowSelect" update="toolBarAction"
								listener="#{beanIndex.onRowSelect}" />

							<p:ajax event="rowUnselect" listener="#{beanIndex.onRowUnselect}"
								update="toolBarAction" />

							<p:ajax event="rowDblselect" listener="#{beanIndex.onRowSelect}"
								update="toolBarAction"
								oncomplete="$('#boutton_consult').click();" />

							<p:column headerText="Nom">
								<h:outputText value="#{recette.libelle}" />
							</p:column>

							<p:column headerText="Nombres de personnes">
								<h:outputText value="#{recette.nbPersonne}" />
							</p:column>

						</p:dataTable>

						<br />
						<br />

					</p:panel>

				</div>
			</div>
		</div>

		<div class="form-actions-general">
			<p:toolbar id="toolBarAction">
				<p:toolbarGroup align="right">
					
					<p:button value="ajouter" icon="fa fa-plus" outcome="RECETTE"
						styleClass="RaisedButton" />

					<p:separator rendered="#{beanIndex.selectedRecette != null}" />

					<p:button id="boutton_consult" value="consulter"
						icon="fa fa-file-o"
						rendered="#{beanIndex.selectedRecette != null}"
						styleClass="GrayButton RaisedButton" outcome="RECETTE">
						<f:param name="idRecette" value="#{beanIndex.selectedRecette.id}" />
					</p:button>
				</p:toolbarGroup>
			</p:toolbar>
		</div>

		<br />
		<br />


	</ui:define>


</ui:composition>
